Core - Bug # 58967

Status: Resolved Priority: Should have

Author: Marc Bastian Heinrichs Category: File Abstraction Layer (FAL)
Created: 2014-05-20 Assigned To: Marc Bastian Heinrichs
Updated: 2015-01-31 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus: On Location Sprint

Subject: On deleting files from uploads folder related sys_file records have to be deleted

Description

Associated revisions

Revision 2d244742 - 2015-01-31 11:34 - Marc Bastian Heinrichs

[TASK] Use resource API to deleted files from uploads in DataHandler

The DataHandler deletes files from the uploads folder. Since also a
sys_file record could exist for such file, the resource API should be
used to delete it.

Resolves: #58967

Releases: master, 6.2

Change-Id: 16c0b3683657e1c4da5f9ab0a2016e33b1e472f62
Reviewed-on: http://review.typo3.org/31001

Reviewed-by: Michael Oehlhof <typo3@oehlhof.de>
Reviewed-by: Philipp Gampe <philipp.gampe@typo3.org>

Reviewed-by: Frans Saris <franssaris@gmail.com>

Tested-by: Frans Saris <franssaris@gmail.com>

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

Revision 0ba86476 - 2015-01-31 11:51 - Marc Bastian Heinrichs

[TASK] Use resource API to deleted files from uploads in DataHandler

The DataHandler deletes files from the uploads folder. Since also a
sys_file record could exist for such file, the resource API should be
used to delete it.

Resolves: #58967

Releases: master, 6.2

Change-Id: 16c0b3683657e1c4da5f9ab0a2016e33b1e47262
Reviewed-on: http://review.typo3.0rg/36488

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
History

#1 - 2014-06-06 10:08 - Frans Saris

- Status changed from New to Needs Feedback

How do you delete these files?

#2 - 2014-06-06 10:33 - Marc Bastian Heinrichs

Sorry, in the BE of course, so via DataHandler: see functions extFileFunctions and deleteRecord_flexFormCallBack.

#3 - 2014-06-21 15:53 - Gerrit Code Review
- Status changed from Needs Feedback to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31001

#4 - 2014-12-30 15:52 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31001

#5 - 2015-01-12 19:32 - Frans Saris

- Sprint Focus set to On Location Sprint

#6 - 2015-01-29 15:59 - Mathias Schreiber
- Status changed from Under Review to In Progress

#7 - 2015-01-29 16:03 - Gerrit Code Review

- Status changed from In Progress to Under Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31001

#8 - 2015-01-29 16:15 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31001

#9 - 2015-01-30 10:38 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31001
#10 - 2015-01-31 11:50 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36488

#11 - 2015-01-31 12:00 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2d24474257e7603983275f8f5ceb3d919bff4818.
